/***************************************************************************
*                          clusterSnapshot.h  -  description
*                             -------------------
*    begin                : Sam Feb  1 17:08:52 CET 2003
*    copyright            : (C) 2003 by the gomd group at savannah.org/
*    email                : rpons@rinu.org, brian@axehind.com, jp80@libero.it, mosixview@t-online.de
****************************************************************************/

/**
 * NOTES:
 * Created by rejected
 *
 * Contains code to get system infos
 */
 
#ifndef __GOMD_CLUSTER_SNAPSHOT_H
        #define __GOMD_CLUSTER_SNAPSHOT_H
	#include "constants.h"
        #include "omInfo.h"
	#ifdef __LIBGTOP
		#include "sysInfo.h"
	#endif
	#include "utils.h"
	#include <string>
        #include <list>
	#include <time.h>


        using namespace std;
	using namespace ost;

        class clusterSnapshot
        {
                //vars
                public:
                omInfo   m_ominfo;
		#ifdef __LIBGTOP
                sysInfo  m_sysinfo;
		#endif
                utils    m_util;
                list<string> m_infoList;
		bool     m_isRowEven;
		string   m_rowColor;

                //functions
                public:
                void createHTMLSnapshot(string localNodeIP, string localHostName);
                void makeHTMLRows(string toBeCleaned);
		void makeHTMLSection(bool isStartSection, string cellTitle="");
		string cpuinfoFileTweak(string toBeCleaned);
		void swapHTMLRowColor();
        };
#endif // __GOMD_CLUSTER_SNAPSHOT_H
