/***************************************************************************
                          gomd2gomd.h  -  description
                             -------------------
    begin                : Sam Feb  1 17:08:52 CET 2003
    copyright            : (C) 2003 by the gomd group at savannah.org/
    email                : rpons@rinu.org, brian@axehind.com, jp80@libero.it, mosixview@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* $Id: gomd2gomd.h,v 1.8 2003/08/13 13:16:37 rejected Exp $ */

/**
 * NOTES:
 * Created by rejected
 *
 * This class contains the code for gomd2gomd communication.
 */
#ifndef __GOMD_G2G_H
	#define __GOMD_G2G_H
	#include <cc++/socket.h>
	#include <iostream>
	#include <cstdlib>
	#include <string>
	#include "utils.h"
	#include "../lib/libgomd.h"

	using namespace std;
	using namespace ost;

	class gomd2gomd
	{
		//vars
		private:

		//vars
		public:
		utils m_util;
		libgomd m_libgomd;

		//functions
		public:
		bool   openConn(string remoteGomdIP, int port);
		string closeConn();
		string getInfo(string infoToRequest);
		string getMultilineInfo(string infoToRequest, string endMsg);
		string getInfoAndClose(string remoteGomdIP, int port, string infoToRequest);
		string getMultilineInfoAndClose(string remoteGomdIP, int port, string infoToRequest, string endMsg);
	};
#endif // end of __GOMD_G2G_H
