/***************************************************************************
*                          omInfo.h  -  description
*                             -------------------
*    begin                : Sam Feb  1 17:08:52 CET 2003
*    copyright            : (C) 2003 by the gomd group at savannah.org/
*    email                : rpons@rinu.org, brian@axehind.com, jp80@libero.it, mosixview@t-online.de
****************************************************************************/

/**
 * NOTES:
 * Created by rejected
 *
 * Contains code to get system infos
 */

#ifndef __GOMD_OMINFO_H
	#define __GOMD_OMINFO_H
	#include "constants.h"
	#include "utils.h"
	#include <cc++/misc.h>
	#include <string>
	#include <iostream>
	#include <cctype>
	#include <dirent.h>

	using namespace std;
	using namespace ost;

	class omInfo
	{
		//vars
		public:
		utils m_util;
		string m_nodesList[MAX_REMOTE_NODES_TO_HANDLE];

		//functions
		public:
		//getter functions
		string getDeadNodesList();
		string getInfo(string requiredInfo, string nodeId, bool printNodeID=true);
		string getLocalBlock();
		string getLocalID();
		string getNodeByPID(string pid);
		string getNodesList(bool showNote);
		string getNodeIDByNodeIP(string nodeId);

		//setter functions
		string setLocalBlock();
		string setLocalDecay(string typeOfJob);
		string setLocalNoblock();
	};
#endif // __GOMD_OMINFO_H
