/***************************************************************************
*                          requestHistory.h  -  description
*                             -------------------
*    begin                : Sam Feb  1 17:08:52 CET 2003
*    copyright            : (C) 2003 by the gomd group at savannah.org/
*    email                : rpons@rinu.org, brian@axehind.com, jp80@libero.it, mosixview@t-online.de
****************************************************************************/

/**
 * NOTES:
 * Last update by rejected
 *
 * Contains code to handle an history of the requests from a client
 */

 #ifndef __GOMD_RH_H
	#define __GOMD_RH_H

	#include <iostream>
	#include <string>
	#include <list>
	#include "constants.h"

	using namespace std;

	class requestHistory
	{
		//vars
		public:
		unsigned int m_lastPos;
		list<string> m_buffer;
		list<string>::iterator m_bufferIter;

		//functions
		public:
		requestHistory();
		void append(string requestToAppend);
		string get(unsigned int index);
		string getLast();
		string getUp();
		string getDown();
	};
#endif // end of __GOMD_RH_H
