/***************************************************************************
*                          scxCheck.h  -  description
*                             -------------------
*    begin                : Sam Feb  1 17:08:52 CET 2003
*    copyright            : (C) 2003 by the gomd group at savannah.org/
*    email                : rpons@rinu.org, brian@axehind.com, jp80@libero.it, mosixview@t-online.de
****************************************************************************/

/**
 * NOTES:
 * Last update by rejected
 *
 * Contains code to handle Secured Cluster-wide Execution check
 */

 #ifndef __GOMD_SCX_CHECK_H
	#define __GOMD_SCX_CHECK_H

	#include <cc++/socket.h>
	#include "scxCmdsbook.h"
	#include <string>
	#include <list>

	using namespace std;
	using namespace ost;

	class scxCheck
	{
		public:
		multimap<string,string> m_scxMap;
		string m_localIP;
		utils m_util;

		//functions
		public:
		scxCheck(multimap<string,string> scxMap,string localIP);
		void tryToExecuteCommand(string toBeChecked, TCPStream* clientStream);
	};
#endif // end of __GOMD_SCX_CHECK_H
