/***************************************************************************
*                          security.h  -  description
*                             -------------------
*    begin                : Sam Feb  1 17:08:52 CET 2003
*    copyright            : (C) 2003 by the gomd group at savannah.org/
*    email                : rpons@rinu.org, brian@axehind.com, jp80@libero.it, mosixview@t-online.de
****************************************************************************/


/**
 * NOTES:
 * Created by rejected
 * Last update by rejected
 *
 * Contains the code to handle the security of gomd
 */

 #ifndef __GOMD_SECURITY_H
	#define __GOMD_SECURITY_H

	#include <cc++/socket.h>
	#include <iostream>
	#include <fcntl.h>
	#include <unistd.h> //for uid and gid functions
	#include <cstdlib>
	#include <error.h>
	#include <cstring>
	#include "omInfo.h"

	using namespace std;
	using namespace ost;

	class security
	{
		//vars
		public:
		InetAddress	m_localAddress;
		InetAddress	m_clientAddress;
		bool		m_isStrictSecurityEnabled;

		//functions
		public:
		bool isRoot();
		bool isOMEnabled();
		bool setStrictSecurity();
		void setSecurityLevel(bool isStrictSecurityEnabled);
		bool changeCurrWorkingDir(string newCurrWorkingDir);
		bool isBlackListedCommand(string toBeChecked);
	};
#endif // end of __GOMD_SECURITY_H
