/***************************************************************************
*                          sysLog.h  -  description
*                             -------------------
*    begin                : Sam Feb  1 17:08:52 CET 2003
*    copyright            : (C) 2003 by the gomd group at savannah.org/
*    email                : rpons@rinu.org, brian@axehind.com, jp80@libero.it, mosixview@t-online.de
****************************************************************************/


/**
 * NOTES:
 * Created by rejected
 * Last update by rejected
 *
 * Contains the code to write to system log
 */

#ifndef __SYSLOG_H
	#define __SYSLOG_H

	#include <syslog.h>
	#include <iostream>
	#include <string>
	#include <cstring>

	#define DO_ALL 0
	#define PRINT_ONLY 1
	#define LOG_ONLY 2

	using namespace std;

	class sysLog
	{
		//vars
		private:
		int m_whatToDo;

		//functions
		public:
		sysLog();
		sysLog(int whatToDo);
		void setOperationsToDo(int whatToDo=0);
		void log(int level, const char* toBeLogged);
		void log(int level, string toBeLogged);
		int getWhatToDo();
		void printLevelsForLog();
	};
#endif // end of __SYSLOG_H
