/***************************************************************************
*                          aclCheck.h  -  description
*                             -------------------
*    begin                : Sam Feb  1 17:08:52 CET 2003
*    copyright            : (C) 2003 by the gomd group at savannah.org/
*    email                : rpons@rinu.org, brian@axehind.com, jp80@libero.it, mosixview@t-online.de
****************************************************************************/

/**
 * NOTES:
 * Last update by rejected
 *
 * Contains code to handle Access Control Lists check
 */

 #ifndef __GOMD_ACL_CHECK_H
	#define __GOMD_ACL_CHECK_H

	#include "aclRulebook.h"

	class aclCheck
	{
		public:
		multimap<string,string> m_aclMap;
		string m_localIP;
		utils m_util;

		//functions
		public:
		aclCheck(multimap<string,string> aclMap,string localIP);
		acl_seclevel_t getAssociatedSecurityLevel(string ipToCheck);
		int stringToSeclevel(string toBeConverted);
		int validatePermissions(string ipToCheck, int functionById);
	};
#endif // end of __GOMD_ACL_CHECK_H
