/***************************************************************************
*                          aclCheck.h  -  description
*                             -------------------
*    begin                : Sam Feb  1 17:08:52 CET 2003
*    copyright            : (C) 2003 by the gomd group at savannah.org/
*    email                : rpons@rinu.org, brian@axehind.com, jp80@libero.it, mosixview@t-online.de
****************************************************************************/

/**
 * NOTES:
 * Last update by rejected
 *
 * Contains code to handle Access Control Lists check
 */

 #ifndef __GOMD_ACL_RULEBOOK_H
	#define __GOMD_ACL_RULEBOOK_H

	#include <cc++/socket.h>
	#include "utils.h"
	#include <string>
	#include <map>
	#include "constants.h"

	using namespace std;
	using namespace ost;

	typedef int acl_seclevel_t;

	class aclRulebook
	{
		//vars
		public:
		string  m_localIP;
		string 	m_aclFile;
		utils 	m_util;

		protected:
		multimap<string,string>	*m_aclMap;

		public:
		aclRulebook(string localIP);
		multimap<string,string>	getAclMap();
		void fillAclMap(string aclFile);
		void printAclMap();
	};
#endif // end of __GOMD_ACL_RULEBOOK_H
