#include "chpoxProc.h"

chpoxProc::chpoxProc(pid_t pid, string exe)
{
	m_pid = pid;
	m_exe = exe;
	m_dumpsNumber=0;
}

void chpoxProc::setRequiredLibs(list<string> libs)
{
	if(&libs==NULL)
	{
		cout << "[CHP]: error: libs is NULL!"<< endl;
	}

	list<string>::iterator iter;
	for(iter=libs.begin(); iter!=libs.end(); ++iter)
	{
		m_requiredLibs.push_back(*iter);
	}
}

void chpoxProc::setNewDump(string dumpName)
{
	if(dumpName.size()==0)
	{
		cout << "[CHP]: error: cannot add new dump in list!" << endl;
		return;
	}

	++m_dumpsNumber;
	if(m_dumpsNumber>=CHPOX_MAX_DUMPS_PER_PROCESS)
	{
		cout << "[CHP]: reached the max number of dumps for the proc!" << endl;
	}
	m_dumpsNames.push_back(dumpName);
}

