#ifndef __CHPOX_PROC_H
	#define __CHPOX_PROC_H
	
	#include "constants.h"
	#include <list>
	#include <string>
	#include <iostream>

	using namespace std;

	class chpoxProc
	{
		//vars
		public:
		unsigned int	m_dumpsNumber;
		list<string> 	m_requiredLibs;
		list<string> 	m_dumpsNames;
		pid_t 		m_pid;
		string 		m_exe;
		bool			m_automaticRestoreAfterCrash;

		//functions
		public:
		chpoxProc(pid_t pid, string exe);
		void setRequiredLibs(list<string> libs);
		void setNewDump(string dumpName);
	};

#endif //end of __CHPOX_PROC_H

