/***************************************************************************
*                          llSupport.h  -  description
*                             -------------------
*    begin                : Sam Feb  1 17:08:52 CET 2003
*    copyright            : (C) 2003 by the gomd group at savannah.org/
*    email                : jp80@libero.it, mosixview@t-online.de
****************************************************************************/

/**
 * NOTES:
 * Created by rejected
 *
 * Contains code to handle LoadLimit support
 */

 #ifndef __GOMD_LL_SUPPORT_H
	#define __GOMD_LL_SUPPORT_H

	#include <map>
	#include <string>
	#include "utils.h"
	#include "constants.h"
	
	using namespace std;

	class llSupport
	{
		//vars
		public:
		bool m_isActive;
		multimap<string,string>* m_llMap;
		string m_localIP;
		utils m_util;

		//functions
		public:
		llSupport();
		bool isEnabled();
		void fillLLMap(string llFile);
		void printLLMap();
	};
#endif // end of __GOMD_LL_SUPPORT_H
