/***************************************************************************
*                          lmsSupport.h  -  description
*                             -------------------
*    copyright            : (C) 2003 by the GOMD Team
****************************************************************************/

/**
 * NOTES:
 * Created by rejected
 *
 * Contains the code to get data from lm_sensors (LInux Sensors)
 */

#include "lmsSupport.h"

lmsSupport::lmsSupport()
{
	m_cmd.push_back("sensors");
	m_isActive = isEnabled();
}

string lmsSupport::getTemp()
{
	string ret = "";
	list<string>::iterator i;
	list<string> procOutput = m_util.execCommandAndReturnChildOutput(m_cmd, NULL);
	
	for (i=procOutput.begin(); i!=procOutput.end(); ++i)
	{
		//cout << "[LMS]: " << *i << "#" << endl;
		if(i->find("Temp")!=string::npos)
		{
			ret +=  "(" + *i + ")";
		}
	}
	return ret;
}

bool lmsSupport::isEnabled()
{
	if(getTemp().size()==0)
	{
		return false;
	}
	return true;
}
