/***************************************************************************
*                          lmsSupport.h  -  description
*                             -------------------
*    copyright            : (C) 2003 by the GOMD Team
****************************************************************************/

/**
 * NOTES:
 * Created by rejected
 *
 * Contains the code to get data from lm_sensors (LInux Sensors)
 */

#ifndef __GOMD_LMS_SUPPORT_H
	#define __GOMD_LMS_SUPPORT_H

	#include "constants.h"
	#include "utils.h"
	#include <list>
	#include <string>

	using namespace std;

	class lmsSupport
	{
		//vars
		public:
		bool m_isActive;
		list<string>	m_cmd; 	
		utils 		m_util;
		
		//functions
		public:
		lmsSupport();
		string getTemp();
		bool isEnabled();
	};

#endif //end of __GOMD_LMS_SUPPORT_H

