/***************************************************************************
*                          ncSocket.h  -  description
*                             -------------------
*    begin                : Sam Feb  1 17:08:52 CET 2003
*    copyright            : (C) 2003 by the gomd group at savannah.org/
*    email                : rpons@rinu.org, brian@axehind.com, jp80@libero.it, mosixview@t-online.de
****************************************************************************/

/**
 * NOTES:
 * Created by openMosixview
 * Last update by rejected
 *
 * this class implements a non blocking socket object (extends TCPSocket)
 */

#ifndef  __GOMD_NETCODE_H
#define  __GOMD_NETCODE_H

	#include <cc++/socket.h>
	#include <string>

	using namespace std;
	using namespace ost;

	/******************************************************/
	/* ncSocket class definition (derived from TCPSocket) */
	/******************************************************/
	class ncSocket : public TCPSocket
	{
		protected:
		bool onAccept(const InetHostAddress &ia, tpport_t port);

		public: //vars
			int m_id;
			string m_lastAcceptedClientIP;
		public: //functions
			ncSocket(InetAddress &ia, tpport_t port, int socketId);
			~ncSocket();
	};
#endif //end of __GOMD_NETCODE_H







