/***************************************************************************
*                          requestRule.cpp  -  description
*                             -------------------
*    begin                : Sam Feb  1 17:08:52 CET 2003
*    copyright            : (C) 2003 by the gomd group at savannah.org/
*    email                : rpons@rinu.org, brian@axehind.com, jp80@libero.it, mosixview@t-online.de
****************************************************************************/

/**
 * NOTES:
 * Created by rejected
 *
 * Contains the values for a valid option (sent by the client)
 */

#include "requestRule.h"

/**
 * default contructor
 * @param command is the command string
 * @param longOption is the long-format option string
 * @param shortOption is the lshort-format option string
 * @param mmemonic is the mnemonic for the option
 * @param validValues is a comma-separated list of valid values for the option
 */
requestRule::requestRule(string command, string longOption, string shortOption, string mmemonic, string validValues)
{
	m_command = command;
	m_longOption = longOption;
	m_shortOption = shortOption;
	m_mmemonic = mmemonic;
	m_validValues = validValues;
}

