/***************************************************************************
*                          scxCmdsbook.h  -  description
*                             -------------------
*    begin                : Sam Feb  1 17:08:52 CET 2003
*    copyright            : (C) 2003 by the gomd group at savannah.org/
*    email                : rpons@rinu.org, brian@axehind.com, jp80@libero.it, mosixview@t-online.de
****************************************************************************/

/**
 * NOTES:
 * Last update by rejected
 *
 * Contains code to handle secured Cluster-wide Execution
 */

 #ifndef __GOMD_SCX_RULEBOOK_H
	#define __GOMD_SCX_RULEBOOK_H

	#include <cc++/socket.h>
	#include "utils.h"
	#include <string>
	#include <map>
 	#include "constants.h"

	using namespace std;
	using namespace ost;

	#define SCX_NO_ACL_CHECK_REQUIRED	0
	#define SCX_ACL_CHECK_REQUIRED	1

	typedef int scx_seclevel_t;

	class scxCmdsbook
	{
		//vars
		public:
		bool	m_allow_all_cmds;
		bool	m_block_all_cmds;
		string  m_localIP;
		string 	m_scxFile;
		utils 	m_util;

		protected:
		multimap<string,string>	*m_scxMap;

		public:
		scxCmdsbook(string localIP);
		multimap<string,string>	getScxMap();
		void fillScxMap(string aclFile);
		void printScxMap();
		bool searchScxMapForCommand(string toBeFound);
		void setScxDefaultBehaviour();
	};
#endif // end of __GOMD_SCX_RULEBOOK_H
